: Class SegmentArrayAttribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.ssi
Class SegmentArrayAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.Attribute
            |
            +--org.w3c.tools.resources.ArrayAttribute
                  |
                  +--org.w3c.jigsaw.ssi.SegmentArrayAttribute

public class SegmentArrayAttribute
extends ArrayAttribute

Attribute used to make the document segment information persistent.

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`SegmentArrayAttribute()`
`SegmentArrayAttribute(java.lang.String name, Segment[] def, int flags)`

Method Summary
`boolean` | `checkValue(java.lang.Object value)` Is the provided object a suitable value for this attribute ? If so, store it into the given store.
`java.lang.String[]` | `pickle(java.lang.Object obj)` Pickle an attribute array into a String array.
`java.lang.String` | `stringify(java.lang.Object value)`
`java.lang.Object` | `unpickle(java.lang.String[] array)` Unpickle an attribute array from a string array.

Methods inherited from class org.w3c.tools.resources.Attribute
`checkFlag, getDefault, getFlag, getName, getType, setFlag, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SegmentArrayAttribute

    public SegmentArrayAttribute(java.lang.String name,
                                 Segment[] def,
                                 int flags)

### SegmentArrayAttribute

    public SegmentArrayAttribute()

Method Detail

### checkValue

    public boolean checkValue(java.lang.Object value)

  Description copied from class: Attribute
  Is the provided object a suitable value for this attribute ? If so, store it into the given store.
  Overrides:
    checkValue in class Attribute
  Tags copied from class: Attribute
  Parameters:
    `value` - The value to check.
    `store` - The array to store the value to if succeed.
    `idx` - The location in the above array.
  Returns:
    A boolean true if this object can be used as a value for this attribute.
  Throws:
    IllegalAttributeAccess - If the provided value doesn't match the expected type.

### unpickle

    public java.lang.Object unpickle(java.lang.String[] array)

  Unpickle an attribute array from a string array.
  Overrides:
    unpickle in class ArrayAttribute
  Parameters:
    `array` - the String array
  Returns:
    a Object array

### pickle

    public java.lang.String[] pickle(java.lang.Object obj)

  Pickle an attribute array into a String array.
  Overrides:
    pickle in class ArrayAttribute
  Parameters:
    `array` - the attribute array
  Returns:
    a String array

### stringify

    public java.lang.String stringify(java.lang.Object value)

  Overrides:
    stringify in class ArrayAttribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD